GET
/api/ApiKeys
const url = 'https://example.com/api/ApiKeys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/ApiKeys \ --header 'Authorization: Bearer <token>'Returns API keys for a merchant. Plaintext is never included; revoked keys are excluded by default.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” merchantId
string format: uuid
includeRevoked
boolean
Responses
Section titled “ Responses ”OK
Media type application/json
Array<object>
object
id
string format: uuid
name
string
keyPrefix
string
signingSecretPrefix
string
webhookUrl
string
webhookEvents
Array<string>
webhookEnabled
boolean
expiresAt
string format: date-time
lastUsedAt
string format: date-time
revokedAt
string format: date-time
createdAt
string format: date-time
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "keyPrefix": "example", "signingSecretPrefix": "example", "webhookUrl": "example", "webhookEvents": [ "example" ], "webhookEnabled": true, "expiresAt": "2026-04-15T12:00:00Z", "lastUsedAt": "2026-04-15T12:00:00Z", "revokedAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z" }]